Subject: [PATCH 0/3] A set of _man fixes — explanation for 3(a)/3 and 3(b)/3
From: Daniel Shahaf <[email-masked]>
To: [email-masked]
Date: Thu, 4 Aug 2016 15:54:22 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

The third patch deserves an explanation.

The root problem is that «man getwpnam<_correct_word>» finds no matches.
(I pointed that in 38519.)

Patches 3(a) and 3(b) — the ones entitled "Support _correct_word" — are two
alternative fixes to that problem.  They are mutually exclusive.  Both of them
work (getpwnam and getspnam are offered as completions), but I'm not sure which
of them is preferable.

So, in short, I plan to push 1/3, 2/3, and either 3a or 3b, depending on feedback.

Cheers,

Daniel